﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ScheduleViewAppointmentTemplateSL
{
    public class TasksCollection : ObservableCollection<Task>
    {
        public TasksCollection()
        {
            DateTime today = DateTime.Today;
            foreach (Task t in Enumerable.Range(9, 14).Select(i =>
               new Task
               {
                   Start = today.AddMinutes(i * 60 + 15),
                   End = today.AddMinutes((i + 1) * 60),
                   Subject = string.Format("Task num. {0}", i),
                   IsDone = today.AddMinutes((i + 1) * 60) < DateTime.Now
               }))
            {
                this.Add(t);
            }
        }
    }
}
